// Compiled by ClojureScript 1.9.562 {}
goog.provide('weathergen.database');
goog.require('cljs.core');
goog.require('weathergen.database.balkans');
goog.require('weathergen.database.israel');
goog.require('weathergen.database.korea');
goog.require('weathergen.database.kuriles');
weathergen.database.theater_info = new cljs.core.PersistentArrayMap(null, 4, [new cljs.core.Keyword(null,"korea","korea",-1788137114),weathergen.database.korea.theater_info,new cljs.core.Keyword(null,"balkans","balkans",-514308101),weathergen.database.balkans.theater_info,new cljs.core.Keyword(null,"israel","israel",893888780),weathergen.database.israel.theater_info,new cljs.core.Keyword(null,"kuriles","kuriles",1501726930),weathergen.database.kuriles.theater_info], null);
/**
 * Return all the airbase and airstrips in the specified theater
 */
weathergen.database.airbases = (function weathergen$database$airbases(theater){
return cljs.core.filter.call(null,(function (p1__34879_SHARP_){
return new cljs.core.PersistentHashSet(null, new cljs.core.PersistentArrayMap(null, 2, ["Airstrip",null,"Airbase",null], null), null).call(null,new cljs.core.Keyword(null,"type","type",1174270348).cljs$core$IFn$_invoke$arity$1(p1__34879_SHARP_));
}),new cljs.core.Keyword(null,"objectives","objectives",933939509).cljs$core$IFn$_invoke$arity$1(cljs.core.get.call(null,weathergen.database.theater_info,theater,cljs.core.PersistentArrayMap.EMPTY)));
});
